


# SmeupMemoryService class












## Constructors

[SmeupMemoryService](../smeup_services_smeup_memory_service/SmeupMemoryService/SmeupMemoryService.md) ()

    


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](https://api.flutter.dev/flutter/dart-core/Object/toString.html)  
_inherited_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_




## Static Properties

##### [memory](../smeup_services_smeup_memory_service/SmeupMemoryService/memory.md) &#8596; [Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)



   
_read / write_




## Static Methods

##### [clearMemory](../smeup_services_smeup_memory_service/SmeupMemoryService/clearMemory.md)() dynamic



   




##### [copyMemory](../smeup_services_smeup_memory_service/SmeupMemoryService/copyMemory.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) fromKey, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) fromSegment, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) toKey, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) toSegment) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)



   




##### [getMemory](../smeup_services_smeup_memory_service/SmeupMemoryService/getMemory.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) key, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) segment, [SmeupFun](../smeup_models_smeup_fun/SmeupFun-class.md) smeupFun, [Function](https://api.flutter.dev/flutter/dart-core/Function-class.html) dataFunction) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)



   




##### [removeMemoryKey](../smeup_services_smeup_memory_service/SmeupMemoryService/removeMemoryKey.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) key) dynamic



   




##### [setMemory](../smeup_services_smeup_memory_service/SmeupMemoryService/setMemory.md)([String](https://api.flutter.dev/flutter/dart-core/String-class.html) key, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) segment, dynamic property, dynamic value) dynamic



   










